#
# funscript_arena.bsl
#

#Fun Script 2 v1.2 [Arena]

func void
main(
	void)
{
	chr_teleport 0 52
	chr_set_health 0 2500
	dmsg "[u. Fun Script Arena] [o. v1.2] [g. made by] [l. Script_10k]"
	wp_disable_fade=1
	chr_boss_shield 0 1
	chr_weapon_auto_aim=0
	ui_suppress_prompt=1
	door_lock 2
	door_lock 4

	gl_fog_blue=0.0
	gl_fog_red=0.0
	gl_fog_green=0.0
	gl_fog_start=.985
	gs_farclipplane_set 1000
	
	fork magia
	fork cromometro
}

func void
magia(
	void)
{
fork givepowers
fork powerfullthing
fork bullet_time
fork foda
fork reset
fork kualker
fork batata
fork batata2
}


func void
batata(
	void)
{
sleep 11000

ai2_spawn Muro force
chr_teleport Muro 52
chr_set_health Muro 500
chr_givepowerup Muro ammo -1
chr_givepowerup Muro cell -1
chr_givepowerup Muro invis
chr_boss_shield Muro 1
ai2_attack Muro 0

fork batata
}

func void
batata2(
	void)
{
sleep 3000

ai2_spawn Griffin force
chr_teleport Griffin 57
chr_givepowerup Griffin ammo -1
chr_givepowerup Griffin cell -1
chr_givepowerup Griffin invis
chr_boss_shield Griffin 1

ai2_spawn GrifOps02
chr_teleport GrifOps02 57
chr_givepowerup GrifOps02 ammo 5
chr_givepowerup GrifOps02 cell 5
chr_givepowerup GrifOps02 invis
chr_boss_shield GrifOps02 1

ai2_spawn GrifOps01
chr_teleport GrifOps01 57
chr_givepowerup GrifOps01 ammo 5
chr_givepowerup GrifOps01 cell 5
chr_givepowerup GrifOps01 invis
chr_boss_shield GrifOps01 1

fork batata2
}

func void
foda(
	void)
{
ai2_spawn E_Nr36 force
ai2_spawn D_R31 force
chr_giveweapon D_R31 w7_scc
ai2_spawn GrifElite03 force
ai2_spawn F_Er86 force
chr_teleport E_Nr36 52
chr_teleport F_Er86 57
chr_teleport GrifElite03 59
chr_boss_shield GrifElite03 1
chr_givepowerup GrifElite03 shield
chr_teleport D_R31 57
ai2_spawn C_Sb76 force
chr_teleport C_Sb76 57
chr_giveweapon C_Sb76 w7_scc
chr_givepowerup C_Sb76 shield
sleep 500
ai2_spawn E_Nb38 force
chr_teleport E_Nb38 59
ai2_spawn B_Eb16 force
ai2_spawn new_2 force
chr_teleport B_Eb16 59
chr_giveweapon B_Eb16 w5_sbg
chr_teleport new_2 57
chr_boss_shield new_2 1
ai2_spawn shooter_dummy force
chr_teleport shooter_dummy 52
fork foda2
}

func void
foda2(
	void)
{
sleep 7500
ai2_spawn E_Nr36 force
ai2_spawn GrifElite05 force
ai2_spawn GrifElite03 force
ai2_spawn F_Er86 force
ai2_spawn A_E3b force
chr_teleport F_Er86 57
chr_teleport GrifElite03 59
chr_teleport A_E3b 52
chr_teleport E_Nr36 52
chr_boss_shield GrifElite03 1
chr_givepowerup GrifElite03 shield
chr_teleport GrifElite05 57
ai2_spawn C_Sb76 force
chr_teleport C_Sb76 57
chr_giveweapon C_Sb76 w7_scc
chr_givepowerup C_Sb76 shield
sleep 500
ai2_spawn E_Nb38 force
chr_teleport E_Nb38 59
ai2_spawn B_Eb16 force
ai2_spawn new_2 force
chr_teleport B_Eb16 59
chr_giveweapon B_Eb16 w5_sbg
chr_teleport new_2 57
chr_boss_shield new_2 1
ai2_spawn E_R46 force
chr_teleport E_R46 57
sleep 500
chr_givepowerup 0 ammo
chr_givepowerup 0 cell
chr_givepowerup 0 hypo
sleep 6500
fork foda2
}

func void
reset(
	void)
{
sleep 10000
fork now
}

func void
now(
	void)
{
weapon_reset
fork reset
}

func void
bullet_time(
	void)
{
p3_furniture_breakable=0
sleep 5000
p3_furniture_breakable=1
slowmo 120
sleep 120
fork bullet_time
}

func void
powerfullthing(
	void)
{
sleep 3000
ai2_spawn target_dummy force
chr_teleport target_dummy 57
chr_ultra_mode target_dummy 1
chr_giveweapon target_dummy w1_tap
ai2_attack target_dummy 0
chr_givepowerup target_dummy invis -1
chr_givepowerup target_dummy ammo -1
chr_wait_health target_dummy 0
sleep 3000
fork powerfullthing
}

func void
givepowers(
	void)
{
fork one
fork two
fork third
}

func void one(
	void)
{
chr_wait_animation target_dummy THUCOMcomb_p
sleep 30
chr_animate target_dummy NINCOMcomb_p
sleep 30
chr_animate target_dummy NINCOMcomb_p_p
sleep 30
chr_animate target_dummy NINCOMcomb_p_p_p
fork one
}

func void two(
	void)
{
chr_wait_animation target_dummy THUCOMpunch_fw
sleep 30
chr_animate target_dummy MURCOMkick_heavy
fork two
}

func void third(
	void)
{
chr_wait_animation target_dummy THUCOMcomb_k
sleep 30
chr_animate target_dummy NINCOMkick_heavy
fork third
}

func void adrenaline(
	void)
{
	m3_fill_solid = 0
	chr_invincible 0 1
	chr_set_health 0 500
	chr_unstoppable 0 1
	chr_super 0 1
	chr_givepowerup 0 invis 450
	gs_show_ui = 0
	slowmo 300
	sleep 300
	m3_fill_solid = 1
	chr_invincible 0 0
	gs_show_ui = 1
	chr_unstoppable 0 0
	chr_super 0 0
	sleep 500
	fork poison
	dmsg "I'm feeling dizzy"
	timer_start 5 kualker
}

var int co=0;

func void poison(
	void)
{
chr_poison 0 10 1 1
co=co+1

if (co eq 12)
	{
	sleep 10
	co=-1
	}

if (co eq 0)
	{
	sleep 10
	fork poison
	}

if (co eq 1)
	{
	sleep 10
	fork poison
	}

if (co eq 2)
	{
	sleep 10
	fork poison
	}
if (co eq 3)
	{
	sleep 10
	fork poison
	}
if (co eq 4)
	{
	sleep 10
	fork poison
	}
if (co eq 5)
	{
	sleep 10
	fork poison
	}
if (co eq 6)
	{
	sleep 10
	fork poison
	}
if (co eq 7)
	{
	sleep 10
	fork poison
	}
if (co eq 8)
	{
	sleep 10
	fork poison
	}
if (co eq 9)
	{
	sleep 10
	fork poison
	}
if (co eq 10)
	{
	sleep 10
	fork poison
	}
if (co eq 11)
	{
	sleep 10
	fork poison
	}
}

func void kualker(
	void)
{
timer_start 80 adrenaline
}

func void you_lose(void)
{
	lives = lives + 1
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.7]"
	sleep 60
	message_remove
	fork cromometro
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.6]"
	sleep 60
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.5]"
	sleep 60
	message_remove
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.4]"
	sleep 60
	message_remove
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[b.3]"
	sleep 60
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[b.2]"
	sleep 60
	message_remove
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[b.1]"
	sleep 55
	message_remove
	dmsg "[g.0]
	chr_set_health 0 200
	sleep 10
	message_remove
}

var int lives= 0;

func void cromometro(void)
{
	if (lives eq 1)
	{
	sleep 550
	dmsg "[r. You died][y. 1][r. time already.]
	}

	if (lives eq 2)
	{
	sleep 550
	dmsg "[r. You died][y. 2][r. times already.]
	}

	if (lives eq 3)
	{
	sleep 550
	dmsg "[r. You died][y. 3][r. times already.]
	}

	if (lives eq 4)
	{
	sleep 550
	dmsg "[r. You died][y. 4][r. times already.]
	}

	if (lives eq 5)
	{
	sleep 550
	dmsg "[r. You died][y. 5][r. times already.]
	}

	if (lives eq 6)
	{
	sleep 550
	dmsg "[r. You died][y. 6][r. times already.]
	}

	if (lives eq 7)
	{
	sleep 550
	dmsg "[r. You died][y. 7][r. times already.]
	}

	if (lives eq 8)
	{
	sleep 550
	dmsg "[r. You died][y. 8][r. times already.]
	}

	if (lives eq 9)
	{
	sleep 550
	dmsg "[r. You died][y. 9][r. times already.]
	}

	if (lives eq 10)
	{
	sleep 550
	dmsg "[r. You died][y. 10][r. times already.]"
	}

	if (lives eq 11)
	{
	sleep 550
	dmsg "[r. You died][y. 11][r. times already.]
	}

	if (lives eq 12)
	{
	sleep 550
	dmsg "[r. You died][y. 12][r. times already.]
	}

	if (lives eq 13)
	{
	sleep 550
	dmsg "[r. You died][y. 13][r. times already.]
	}

	if (lives eq 14)
	{
	sleep 550
	dmsg "[r. You died][y. 14][r. times already.]
	}

	if (lives eq 15)
	{
	sleep 550
	dmsg "[r. You died][y. 15][r. times already.]"
	}

	if (lives eq 16)
	{
	sleep 550
	dmsg "[r. You died][y. 16][r. times already.]
	}

	if (lives eq 17)
	{
	sleep 550
	dmsg "[r. You died][y. 17][r. times already.]
	}

	if (lives eq 18)
	{
	sleep 550
	dmsg "[r. You died][y. 18][r. times already.]
	}

	if (lives eq 19)
	{
	sleep 550
	dmsg "[r. You died][y. 19][r. times already.]
	}

	if (lives eq 20)
	{
	sleep 550
	dmsg "[r. You died][y. 20][r. times already.]
	}

	if (lives > 20)
	{
	sleep 550
	dmsg "[r. You died][y. more than 20][r. times already.]
	}
	#fork cromometro
}

##########################################